<?php
/**
 * Created by PhpStorm.
 * User: mohammed
 * Date: 12/16/16
 * Time: 6:20 PM
 */
class meeting extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();
        $this->load->helper('form');
        $this->load->helper('url');
        $this->load->library('form_validation');
        $this->load->model('meeting_model');
    }

    public function index()
    {
        $this->load->view('search_view');
    }

    public function my_search() {
        $string_text = $this->input->get("my_text");

        if (strpos($string_text, "today") !== false || strpos($string_text, "today's") !== false) {
            $date = date('Y/m/d');
            $result['meetings'] = $this->meeting_model->fetch_meetings($date);
            $this->load->view('meeting_view', $result);
        }
        else if(strpos($string_text, "tomorrow") !== false || strpos($string_text, "tomorrow's") !== false) {
            $date = date("Y-m-d", strtotime("+1 day"));
            $result['meetings'] = $this->meeting_model->fetch_meetings($date);
            $this->load->view('meeting_view', $result);
        }
        else {
            $result['mismatch'] = "Mismatched";
            $this->load->view('meeting_view', $result);
        }


    }

}
