<!DOCTYPE html>

    <head>
        <title>My Meetings</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/css/bootstrap.css"); ?>" />
        <script type="text/javascript" src="<?php echo base_url("assets/js/jquery-3.1.1.min.js"); ?>"></script>
        <script type="text/javascript" src="<?php echo base_url("assets/js/bootstrap.js"); ?>"></script>
    </head>
    <body id="example1">
        <div class="container-fluid">
            <div class="row-fluid">
                <div class="span3 centering text-center">
                    <h2>My Meetings</h2>
                    <form id="labnol" method="get" action="<?php echo base_url().'index.php/meeting/'?>my_search/" method="post" enctype="multipart/form-data">
                        <div class="speech">
                            <input type="text" name="my_text" id="transcript" placeholder=" Click on Voice Icon and Speak ..." />
                            <img onclick="startDictation()" src="//i.imgur.com/cHidSVu.gif" />
                        </div>
                    </form>
                    <h3>
                        Example
                    </h3>
                    <h4>Anything by including the word Today or Today's</h4>
                    <h4>Anything by including the word Tomorrow or Tomorrow's</h4>
                </div>
            </div>
        </div>
    </body>
</html>

<style>
    #example1 {
        background: url(http://www.mdgadvertising.com/blog/wp-content/uploads/2015/07/blog26.jpg) no-repeat center center fixed;
        -webkit-background-size: cover;
        -moz-background-size: cover;
        -o-background-size: cover;
        background-size: cover;
    }

    html, body{height:100%; margin:0;padding:0}

    .container-fluid{
        height:100%;
        display:table;
        width: 100%;
        padding: 0;
    }

    .row-fluid {height: 100%; display:table-cell; vertical-align: middle;}

    .centering {
        float: none;
    }

    .speech input {
        border: 3px solid lime;
        width: 440px;
        display: inline-block;
        height: 50px;
        border-radius: 30px;
    }

    .speech img {
        background-color: lime;
        border-radius: 50px;
    }
</style>

<!-- HTML5 Speech Recognition API -->
<script>
    function startDictation() {

        if (window.hasOwnProperty('webkitSpeechRecognition')) {

            var recognition = new webkitSpeechRecognition();

            recognition.continuous = false;
            recognition.interimResults = false;

            recognition.lang = "en-US";
            recognition.start();

            recognition.onresult = function(e) {
                document.getElementById('transcript').value
                    = e.results[0][0].transcript;
                recognition.stop();
                document.getElementById('labnol').submit();
            };

            recognition.onerror = function(e) {
                recognition.stop();
            }

        }
    }
</script>